Skip to navigation

Batch - Upload Files

View as Markdown

Generate presigned upload URLs for audio files that will be processed in a speech to text translate bulk job

Authentication

api-subscription-keystring
API Key authentication via header

Headers

api-subscription-keystringOptionalDefaults to

Your unique subscription key for authenticating requests to the Sarvam AI Speech-to-Text API. Here are the steps to get your api key

Query parameters

ptu_idinteger or nullOptional

Request

This endpoint expects an object.
job_idstringRequired
UUID of the bulk job returned from job initiation.
fileslist of stringsRequired

Required. Output filenames to download (e.g. "0.json"). Get these from the job status response: job_details[].outputs[].file_name after the job completes.

Response

Successful Response
job_idstring
job_stateenum
Allowed values:
upload_urlsmap from strings to objects
storage_container_typeenum
Allowed values:

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error